Skip to main content

List Warranty Registrations

GET 

/api/repairs/registrations

List Warranty Registrations.

Required scope: repairs:read

Grant this scope to your token under Settings → Developer → Personal Access Tokens.

Paginated (default 10 per page). Filters: filter[status], filter[source], filter[purchase_source], filter[product_id], filter[customer_id], filter[warranty_policy_id], filter[serial_number_id], filter[sales_order_line_id], filter[search], filter[id], filter[registration_number], filter[registration_number.does_not_start_with], filter[registration_number.does_not_end_with], filter[created_at], filter[created_at.before], filter[created_at.after], filter[created_at.on_or_before], filter[created_at.on_or_after], filter[created_at.today], filter[created_at.yesterday], filter[created_at.tomorrow], filter[created_at.past_week], filter[created_at.past_month], filter[created_at.past_year], filter[created_at.next_week], filter[created_at.next_month], filter[created_at.next_year], filter[created_at.days_ago], filter[created_at.days_from_now], filter[created_at.past_days], filter[created_at.next_days]. Sorts: id, registration_number, purchased_on, starts_on, expires_on, status, created_at.

Permission: repairs.view. Authentication: Bearer token with the repairs:read / write scope.

Request​

Responses​

OK

Response Headers
    Content-Type